Subject: please help... mod_ssl seems to overwrite mod_perl and mod_perl s eems to overwrite mod_ssl

From: "Mitchel, Jennifer (Jem)" <[email-masked]>
Date: Fri, 15 Nov 2002 15:33:07 -0600

Hi all,

  How do I get  BOTH mod_perl and mod_ssl built into and working in Apache?

  I had mod_perl successfully built into my apache to use Authentication hook.

  Then I added mod_ssl in and I started to get errors from my .htaccess file

   Error:
   [Fri Nov 15 14:39:03 2002] [alert] [client 135.2.60.152]  /web/content/askLucent/password-reset/cgi-bin/.htaccess: Invalid command 'PerlSetVar', perhaps mis-spelled or defined by a module not included in the server configuration

  Contents of .htaccess
<Limit GET POST>
AuthName "NT Domain\Login and Password"
AuthType Basic
#PerlSetVar NT_Controllers 'na02il0015dc00:na02il0015dc01'
PerlSetVar NT_Controllers 'na02il0015dc04:na02il0015dc01:NA02IL0015DC02'
PerlAuthenHandler Apache::AuthenN2
require valid-user
</Limit>

 so i rebuilt mod_perl back into apache and now I get errors of directives from mod_ssl in my httpd.conf file

  Error:
  5e-cts root: /web/server/apache/1.3.22/bin/apachectl stop ; /web/server/apache/1.3.22/bin/apachectl start
/web/server/apache/1.3.22/bin/apachectl stop: httpd (no pid file) not running
Syntax error on line 1008 of /web/server/apache/1.3.22/conf/httpd.conf:
Invalid command 'SSLRandomSeed', perhaps mis-spelled or defined by a module not included in the server configuration
/web/server/apache/1.3.22/bin/apachectl start: httpd could not be started

 Lines from httpd.conf:
  
SSLRandomSeed startup builtin
SSLRandomSeed connect builtin
SSLRandomSeed startup file:/dev/random  512
SSLRandomSeed connect file:/dev/random  512

 I need to use both mod_perl and mod_ssl and it seems like keeps overwriting the other.  How do I change this so I can get them built in together?

Thank you
Jem
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]